<?php
require_once(LIB.'Post.class.php');
require_once(LIB.'User.class.php');
$userObj = new User();
$post = new Post();
$id = @$params[0];

$user = $userObj->read($id);
$contents = $post->get(array('user' => $user['id']));
$id_escape = h($user['id']);

$script = <<<EOD
	$(function() {
		T.readOpt.user = "{$id_escape}";
		T.initRead();
	});
EOD;


$user_id = $params[0];

$title = h($user['display_name']).' ('.h($user['login_id']).') の投稿';
$box = get_show_boxes(__FILE__);
include LAYOUTS.'header.inc.php';
include LAYOUTS.'control.inc.php';
include LAYOUTS.'content.inc.php';
include LAYOUTS.'footer.inc.php';
?>